# Generated by Django 2.0.5 on 2018-12-23 10:30

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('meta', '0001_initial'),
        ('acteurs', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Evenement',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('titre', models.CharField(max_length=200, unique=True)),
                ('date', models.DateField()),
                ('heure_début', models.TimeField()),
                ('heure_fin', models.TimeField(blank=True, null=True)),
                ('prix_par_default', models.PositiveIntegerField(default=1000)),
                ('selling_start_date', models.DateField(blank=True, null=True)),
                ('selling_end_date', models.DateField(blank=True, null=True)),
                ('artiste', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='acteurs.Artiste')),
                ('category', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='meta.EvenementCategorie')),
                ('partenaires', models.ManyToManyField(blank=True, to='acteurs.Partenaire')),
                ('sponsors', models.ManyToManyField(blank=True, to='acteurs.Sponsor')),
                ('tags', models.ManyToManyField(blank=True, to='meta.Tag')),
            ],
        ),
        migrations.CreateModel(
            name='EventPromotionCode',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('code', models.CharField(blank=True, help_text='Leave it blank to auto generate promo code', max_length=128, unique=True)),
                ('discount_percentage', models.PositiveIntegerField(default=10)),
                ('max_usage_times', models.PositiveIntegerField(default=10)),
                ('is_enabled', models.BooleanField(default=True)),
                ('evenement', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='calendrier.Evenement')),
            ],
        ),
        migrations.CreateModel(
            name='EventSpecialPrice',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('prix', models.PositiveIntegerField()),
                ('evenement', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='calendrier.Evenement')),
                ('place_type', models.ManyToManyField(to='meta.PlaceType')),
            ],
        ),
    ]
