from django.http import HttpResponse
from django.template.loader import get_template
from rest_framework.authtoken.views import ObtainAuthToken
from rest_framework.authtoken.models import Token as Rest_Token
from rest_framework.response import Response


def index(request):
    t = get_template('index.html')
    html = t.render({})
    return HttpResponse(html)


class CustomObtainAuthToken(ObtainAuthToken):
    def post(self, request, *args, **kwargs):
        response = super(CustomObtainAuthToken, self).post(request, *args, **kwargs)
        token = Rest_Token.objects.get(key=response.data['token'])
        return Response({'token': token.key, 'id': token.user_id})
