# Generated by Django 2.0.5 on 2018-12-23 10:30

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('structure', '0001_initial'),
        ('acteurs', '0001_initial'),
        ('calendrier', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Commande',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('confirmed_at', models.DateTimeField(blank=True, null=True)),
                ('paid_at', models.DateTimeField(blank=True, null=True)),
                ('total_paid', models.FloatField(blank=True, null=True)),
                ('canceled_at', models.DateTimeField(blank=True, null=True)),
                ('client', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='acteurs.Client')),
                ('evenement', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='calendrier.Evenement')),
            ],
        ),
        migrations.CreateModel(
            name='Reservation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('price', models.FloatField(blank=True, null=True)),
                ('checkedin_at', models.DateTimeField(blank=True, null=True)),
                ('hash', models.CharField(editable=False, max_length=20, unique=True)),
                ('QR_code', models.ImageField(editable=False, upload_to='reservation_qrcode')),
                ('commande', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='reservation', to='ticketing.Commande')),
                ('place', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='reservation', to='structure.Place')),
                ('promo_code', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='calendrier.EventPromotionCode')),
            ],
        ),
        migrations.AddField(
            model_name='commande',
            name='places',
            field=models.ManyToManyField(related_name='commandes', through='ticketing.Reservation', to='structure.Place'),
        ),
        migrations.AddField(
            model_name='commande',
            name='vendeur',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='acteurs.Vendeur'),
        ),
    ]
